[Bug build/25185] Cross compile GDBServer for ARM shows 'Error: target not supported by gdbserver.'

simark at simark dot ca sourceware-bugzilla@sourceware.org
Mon Nov 11 14:12:00 GMT 2019


https://sourceware.org/bugzilla/show_bug.cgi?id=25185

Simon Marchi <simark at simark dot ca> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|UNCONFIRMED                 |RESOLVED
                 CC|                            |simark at simark dot ca
         Resolution|---                         |INVALID

--- Comment #1 from Simon Marchi <simark at simark dot ca> ---
This is expected, as it's not possible to build GDBserver to run on a
bare-metal ARM system (arm-none-ebi).  GDBserver is a program meant to run on
an operating system like GNU/Linux or Windows.

It is possible to build GDB with ARM bare metal as a target though.

-- 
You are receiving this mail because:
You are on the CC list for the bug.


More information about the Gdb-prs mailing list